List enrolling packages
GET
/api/v1/environments/{env}/packages
const url = 'https://osctrl.net/api/v1/environments/example/packages';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/environments/example/packages \ --header 'Authorization: <Authorization>'Returns all enrolling packages for an environment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
architecture
string
created_at
string
environment_id
integer
id
integer
is_default
boolean
type
string
updated_at
string
url
string
Examplegenerated
[ { "architecture": "example", "created_at": "example", "environment_id": 1, "id": 1, "is_default": true, "type": "example", "updated_at": "example", "url": "example" }]Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}